import { Ed25519KeyPair, DefaultKeys, KeyPairOptions } from '@bitgo-beta/sdk-core';
export declare class KeyPair extends Ed25519KeyPair {
    /**
     * Public constructor. By default, creates a key pair with a random master seed.
     *
     * @param { KeyPairOptions } source Either a master seed, a private key, or a public key
     */
    constructor(source?: KeyPairOptions);
    /** @inheritdoc */
    recordKeysFromPrivateKeyInProtocolFormat(prv: string): DefaultKeys;
    /** @inheritdoc */
    recordKeysFromPublicKeyInProtocolFormat(pub: string): DefaultKeys;
    /** @inheritdoc */
    getAddress(): string;
    /** @inheritdoc */
    getKeys(): DefaultKeys;
    /**
     * Getting the base64 private key for signing an algo transaction.
     *
     * @returns {Uint8Array} base64 private key
     * @see https://developer.algorand.org/docs/features/accounts/#transformation-private-key-to-base64-private-key
     */
    getSigningKey(): Uint8Array;
}
//# sourceMappingURL=keyPair.d.ts.map